Method: projects.locations.autonomousDatabases.refresh

Refreshes the refreshable clone of an Autonomous Database.

HTTP request


POST https://oracledatabase.googleapis.com/v1/{name=projects/*/locations/*/autonomousDatabases/*}:refresh

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the AutonomousDatabase resource. Format: projects/{project}/location/{location}/autonomousDatabases/{autonomousDatabase}

Request body

The request body contains data with the following structure:

JSON representation
{
  "refreshCutoffTime": string
}
Fields
refreshCutoffTime

string (Timestamp format)

Required. The timestamp to which the Autonomous Database refreshable clone will be refreshed. Changes made in the primary database after this timestamp are not part of the data refresh.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • oracledatabase.autonomousDatabases.refresh

For more information, see the IAM documentation.